## GsPluginJob GsPluginJob |

## Functions

void | gs_plugin_job_set_refine_flags ()
void | gs_plugin_job_set_dedupe_flags ()
void | gs_plugin_job_set_interactive ()
void | gs_plugin_job_set_propagate_error ()
void | gs_plugin_job_set_max_results ()
void | gs_plugin_job_set_search ()
void | gs_plugin_job_set_app ()
void | gs_plugin_job_set_list ()
void | gs_plugin_job_set_file ()
void | gs_plugin_job_set_plugin ()
#define | gs_plugin_job_newv()

## Types and Values

#define | GS_TYPE_PLUGIN_JOB
struct | GsPluginJobClass
#define | GS_PLUGIN_JOB_DEDUPE_FLAGS_DEFAULT
| GsPluginJob

## Description

## Functions

### gs_plugin_job_set_refine_flags ()

    void
    gs_plugin_job_set_refine_flags (GsPluginJob *self,
                                    GsPluginRefineFlags refine_flags);

### gs_plugin_job_set_dedupe_flags ()

    void
    gs_plugin_job_set_dedupe_flags (GsPluginJob *self,
                                    GsAppListFilterFlags dedupe_flags);

### gs_plugin_job_set_interactive ()

    void
    gs_plugin_job_set_interactive (GsPluginJob *self,
                                   gboolean interactive);

### gs_plugin_job_set_propagate_error ()

    void
    gs_plugin_job_set_propagate_error (GsPluginJob *self,
                                       gboolean propagate_error);

### gs_plugin_job_set_max_results ()

    void
    gs_plugin_job_set_max_results (GsPluginJob *self,
                                   guint max_results);

### gs_plugin_job_set_search ()

    void
    gs_plugin_job_set_search (GsPluginJob *self,
                              const gchar *search);

### gs_plugin_job_set_app ()

    void
    gs_plugin_job_set_app (GsPluginJob *self,
                           GsApp *app);

### gs_plugin_job_set_list ()

    void
    gs_plugin_job_set_list (GsPluginJob *self,
                            GsAppList *list);

### gs_plugin_job_set_file ()

    void
    gs_plugin_job_set_file (GsPluginJob *self,
                            GFile *file);

### gs_plugin_job_set_plugin ()

    void
    gs_plugin_job_set_plugin (GsPluginJob *self,
                              GsPlugin *plugin);

### gs_plugin_job_newv()

    #define		 gs_plugin_job_newv(a,...)		GS_PLUGIN_JOB(g_object_new(GS_TYPE_PLUGIN_JOB, "action", a, __VA_ARGS__))

## Types and Values

### GS_TYPE_PLUGIN_JOB

    #define GS_TYPE_PLUGIN_JOB (gs_plugin_job_get_type ())

### struct GsPluginJobClass

    struct GsPluginJobClass {
    	GObjectClass parent_class;

    	void (*run_async) (GsPluginJob         *self,
    	                   GsPluginLoader      *plugin_loader,
    	                   GCancellable        *cancellable,
    	                   GAsyncReadyCallback  callback,
    	                   gpointer             user_data);
    	gboolean (*run_finish) (GsPluginJob   *self,
    	                        GAsyncResult  *result,
    	                        GError       **error);
    };

### GS_PLUGIN_JOB_DEDUPE_FLAGS_DEFAULT

    #define             GS_PLUGIN_JOB_DEDUPE_FLAGS_DEFAULT

### GsPluginJob

    typedef struct _GsPluginJob GsPluginJob;